"use strict";
/*
 * Copyright (c) 2008-2021, Hazelcast, Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/** @ignore */ /** */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClientProtocolErrorCodes = void 0;
/** @internal */
class ClientProtocolErrorCodes {
}
exports.ClientProtocolErrorCodes = ClientProtocolErrorCodes;
ClientProtocolErrorCodes.UNDEFINED = 0;
ClientProtocolErrorCodes.ARRAY_INDEX_OUT_OF_BOUNDS = 1;
ClientProtocolErrorCodes.ARRAY_STORE = 2;
ClientProtocolErrorCodes.AUTHENTICATION = 3;
ClientProtocolErrorCodes.CACHE = 4;
ClientProtocolErrorCodes.CACHE_LOADER = 5;
ClientProtocolErrorCodes.CACHE_NOT_EXISTS = 6;
ClientProtocolErrorCodes.CACHE_WRITER = 7;
ClientProtocolErrorCodes.CALLER_NOT_MEMBER = 8;
ClientProtocolErrorCodes.CANCELLATION = 9;
ClientProtocolErrorCodes.CLASS_CAST = 10;
ClientProtocolErrorCodes.CLASS_NOT_FOUND = 11;
ClientProtocolErrorCodes.CONCURRENT_MODIFICATION = 12;
ClientProtocolErrorCodes.CONFIG_MISMATCH = 13;
ClientProtocolErrorCodes.DISTRIBUTED_OBJECT_DESTROYED = 14;
ClientProtocolErrorCodes.EOF = 15;
ClientProtocolErrorCodes.ENTRY_PROCESSOR = 16;
ClientProtocolErrorCodes.EXECUTION = 17;
ClientProtocolErrorCodes.HAZELCAST = 18;
ClientProtocolErrorCodes.HAZELCAST_INSTANCE_NOT_ACTIVE = 19;
ClientProtocolErrorCodes.HAZELCAST_OVERLOAD = 20;
ClientProtocolErrorCodes.HAZELCAST_SERIALIZATION = 21;
ClientProtocolErrorCodes.IO = 22;
ClientProtocolErrorCodes.ILLEGAL_ARGUMENT = 23;
ClientProtocolErrorCodes.ILLEGAL_ACCESS_EXCEPTION = 24;
ClientProtocolErrorCodes.ILLEGAL_ACCESS_ERROR = 25;
ClientProtocolErrorCodes.ILLEGAL_MONITOR_STATE = 26;
ClientProtocolErrorCodes.ILLEGAL_STATE = 27;
ClientProtocolErrorCodes.ILLEGAL_THREAD_STATE = 28;
ClientProtocolErrorCodes.INDEX_OUT_OF_BOUNDS = 29;
ClientProtocolErrorCodes.INTERRUPTED = 30;
ClientProtocolErrorCodes.INVALID_ADDRESS = 31;
ClientProtocolErrorCodes.INVALID_CONFIGURATION = 32;
ClientProtocolErrorCodes.MEMBER_LEFT = 33;
ClientProtocolErrorCodes.NEGATIVE_ARRAY_SIZE = 34;
ClientProtocolErrorCodes.NO_SUCH_ELEMENT = 35;
ClientProtocolErrorCodes.NOT_SERIALIZABLE = 36;
ClientProtocolErrorCodes.NULL_POINTER = 37;
ClientProtocolErrorCodes.OPERATION_TIMEOUT = 38;
ClientProtocolErrorCodes.PARTITION_MIGRATING = 39;
ClientProtocolErrorCodes.QUERY = 40;
ClientProtocolErrorCodes.QUERY_RESULT_SIZE_EXCEEDED = 41;
ClientProtocolErrorCodes.SPLIT_BRAIN_PROTECTION = 42;
ClientProtocolErrorCodes.REACHED_MAX_SIZE = 43;
ClientProtocolErrorCodes.REJECTED_EXECUTION = 44;
ClientProtocolErrorCodes.RESPONSE_ALREADY_SENT = 45;
ClientProtocolErrorCodes.RETRYABLE_HAZELCAST = 46;
ClientProtocolErrorCodes.RETRYABLE_IO = 47;
ClientProtocolErrorCodes.RUNTIME = 48;
ClientProtocolErrorCodes.SECURITY = 49;
ClientProtocolErrorCodes.SOCKET = 50;
ClientProtocolErrorCodes.STALE_SEQUENCE = 51;
ClientProtocolErrorCodes.TARGET_DISCONNECTED = 52;
ClientProtocolErrorCodes.TARGET_NOT_MEMBER = 53;
ClientProtocolErrorCodes.TIMEOUT = 54;
ClientProtocolErrorCodes.TOPIC_OVERLOAD = 55;
ClientProtocolErrorCodes.TRANSACTION = 56;
ClientProtocolErrorCodes.TRANSACTION_NOT_ACTIVE = 57;
ClientProtocolErrorCodes.TRANSACTION_TIMED_OUT = 58;
ClientProtocolErrorCodes.URI_SYNTAX = 59;
ClientProtocolErrorCodes.UTF_DATA_FORMAT = 60;
ClientProtocolErrorCodes.UNSUPPORTED_OPERATION = 61;
ClientProtocolErrorCodes.WRONG_TARGET = 62;
ClientProtocolErrorCodes.XA = 63;
ClientProtocolErrorCodes.ACCESS_CONTROL = 64;
ClientProtocolErrorCodes.LOGIN = 65;
ClientProtocolErrorCodes.UNSUPPORTED_CALLBACK = 66;
ClientProtocolErrorCodes.NO_DATA_MEMBER = 67;
ClientProtocolErrorCodes.REPLICATED_MAP_CANT_BE_CREATED = 68;
ClientProtocolErrorCodes.MAX_MESSAGE_SIZE_EXCEEDED = 69;
ClientProtocolErrorCodes.WAN_REPLICATION_QUEUE_FULL = 70;
ClientProtocolErrorCodes.ASSERTION_ERROR = 71;
ClientProtocolErrorCodes.OUT_OF_MEMORY_ERROR = 72;
ClientProtocolErrorCodes.STACK_OVERFLOW_ERROR = 73;
ClientProtocolErrorCodes.NATIVE_OUT_OF_MEMORY_ERROR = 74;
ClientProtocolErrorCodes.SERVICE_NOT_FOUND = 75;
ClientProtocolErrorCodes.STALE_TASK_ID = 76;
ClientProtocolErrorCodes.DUPLICATE_TASK = 77;
ClientProtocolErrorCodes.STALE_TASK = 78;
ClientProtocolErrorCodes.LOCAL_MEMBER_RESET = 79;
ClientProtocolErrorCodes.INDETERMINATE_OPERATION_STATE = 80;
ClientProtocolErrorCodes.FLAKE_ID_NODE_ID_OUT_OF_RANGE_EXCEPTION = 81;
ClientProtocolErrorCodes.TARGET_NOT_REPLICA_EXCEPTION = 82;
ClientProtocolErrorCodes.MUTATION_DISALLOWED_EXCEPTION = 83;
ClientProtocolErrorCodes.CONSISTENCY_LOST_EXCEPTION = 84;
ClientProtocolErrorCodes.SESSION_EXPIRED_EXCEPTION = 85;
ClientProtocolErrorCodes.WAIT_KEY_CANCELLED_EXCEPTION = 86;
ClientProtocolErrorCodes.LOCK_ACQUIRE_LIMIT_REACHED_EXCEPTION = 87;
ClientProtocolErrorCodes.LOCK_OWNERSHIP_LOST_EXCEPTION = 88;
ClientProtocolErrorCodes.CP_GROUP_DESTROYED_EXCEPTION = 89;
ClientProtocolErrorCodes.CANNOT_REPLICATE_EXCEPTION = 90;
ClientProtocolErrorCodes.LEADER_DEMOTED_EXCEPTION = 91;
ClientProtocolErrorCodes.STALE_APPEND_REQUEST_EXCEPTION = 92;
ClientProtocolErrorCodes.NOT_LEADER_EXCEPTION = 93;
ClientProtocolErrorCodes.VERSION_MISMATCH_EXCEPTION = 94;
//# sourceMappingURL=ClientProtocolErrorCodes.js.map