"use strict";
/*
 * Copyright (c) 2008-2021, Hazelcast, Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/** @ignore */ /** */
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeList = exports.deserializeEntryList = void 0;
/** @internal */
function deserializeEntryList(toObject, entrySet) {
    const deserializedSet = [];
    entrySet.forEach(function (entry) {
        deserializedSet.push([toObject(entry[0]), toObject(entry[1])]);
    });
    return deserializedSet;
}
exports.deserializeEntryList = deserializeEntryList;
/** @internal */
function serializeList(toData, input) {
    return input.map((each) => {
        return toData(each);
    });
}
exports.serializeList = serializeList;
//# sourceMappingURL=SerializationUtil.js.map