/** @ignore */ /** */
import { MemberImpl } from '../core';
/**
 * Finds a larger same-version group of data members from a collection of
 * members.
 * Otherwise return a random member from the group. If the same-version
 * groups have the same size, return a member from the newer group.
 *
 * Used for getting an SQL connection for executing SQL.
 *
 * @param members list of all members
 * @throws IllegalStateError If there are more than 2 distinct member versions found
 * @return the chosen member or null, if no data member is found
 */
export declare function memberOfLargerSameVersionGroup(members: MemberImpl[]): MemberImpl | null;
